SPHINCSPLUSPublicKey (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.asn1

## Class SPHINCSPLUSPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.SPHINCSPLUSPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SPHINCSPLUSPublicKey
      extends ASN1Object

  See https://datatracker.ietf.org/doc/draft-uni-qsckeys-sphincsplus/00/ for details. ASN.1 Encoding for a SphincsPlus public key for fully populated:

         SPHINCSPPLUSPublicKey := SEQUENCE {
           pkseed          OCTET STRING,     --n-byte public key seed
           pkroot          OCTET STRING      --n-byte public hypertree root
         }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPHINCSPLUSPublicKey(ASN1Sequence seq)` Deprecated. use getInstance()
    `SPHINCSPLUSPublicKey(byte[] pkseed, byte[] pkroot)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SPHINCSPLUSPublicKey` | `getInstance(java.lang.Object o)`
    `byte[]` | `getPkroot()`
    `byte[]` | `getPkseed()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPHINCSPLUSPublicKey

          public SPHINCSPLUSPublicKey(byte[] pkseed,
                                      byte[] pkroot)

    - #### SPHINCSPLUSPublicKey

          @Deprecated
          public SPHINCSPLUSPublicKey(ASN1Sequence seq)

      Deprecated. use getInstance()

  - ### Method Detail

    - #### getPkseed

          public byte[] getPkseed()

    - #### getPkroot

          public byte[] getPkroot()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getInstance

          public static SPHINCSPLUSPublicKey getInstance(java.lang.Object o)